from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class PasswordRequestMode(IntEnum):
    PASSWORD_CREATE = auto()
    PASSWORD_ENTER = auto()
    PASSWORD_REENTER = auto()
